diff --git a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_get.py b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_get.py
index 2aaa22f6..26065092 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_get.py
@@ -11,48 +11,64 @@ from __future__ import print_function
 
 import uuid
 
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as language_utils
 
 
-class LanguagesGetTestCase(BaseTestGenerator):
-    scenarios = [
-        ('Language get test case', dict(url='/browser/language/obj/'))
-    ]
+class TestLanguagesAdd:
+    def test_language_add(self, request, context_of_tests):
+        """
+        When the language get request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/language/obj/'
 
-    def setUp(self):
-        self.server_data = parent_node_dict["database"][-1]
-        self.server_id = self.server_data["server_id"]
+        self.server_data = parent_node_dict['database'][-1]
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_id = self.server_data['server_id']
         self.db_id = self.server_data['db_id']
-        self.db_name = self.server_data["db_name"]
+        schema_data = context_of_tests['server_information']
+        self.db_name = schema_data["db_name"]
         self.lang_name = "language_%s" % str(uuid.uuid4())[1:8]
+
         db_con = database_utils.connect_database(self,
                                                  utils.SERVER_GROUP,
                                                  self.server_id,
                                                  self.db_id)
-
         if not db_con["info"] == "Database connected.":
             raise Exception("Could not connect to database.")
+
         self.language_id = language_utils.create_language(self.server,
                                                           self.db_name,
                                                           self.lang_name)
 
-    def runTest(self):
-        """This function will get the language under test database."""
-
         response = self.tester.get("{0}{1}/{2}/{3}/{4}".format(
-            self.url, utils.SERVER_GROUP, self.server_id, self.db_id,
+            url, utils.SERVER_GROUP, self.server_id, self.db_id,
             self.language_id), follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
 
-    def tearDown(self):
-        """This function delete added language and
-               disconnect the test database."""
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('oid')
+        json_response | should.have.key('name') > \
+            should.be.equal.to(self.lang_name)
+        json_response | should.have.key('trusted') > should.be.equal.true
+        json_response | should.have.key('acl') > should.be.none
+        json_response | should.have.key('description') > should.be.none
 
-        language_utils.delete_language(self.server, self.db_name,
-                                       self.lang_name)
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+    def tearDown(self):
+        language_utils.delete_language(
+            self.server, self.db_name, self.lang_name
+        )
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_put.py b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_put.py
index ba4d0eb9..6f2fa9bf 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_put.py
@@ -12,24 +12,35 @@ from __future__ import print_function
 import json
 import uuid
 
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as language_utils
 
 
-class LanguagesPutTestCase(BaseTestGenerator):
-    scenarios = [
-        ('Language update test case', dict(url='/browser/language/obj/'))
-    ]
+class TestLanguagesPut:
+    def test_language_put(self, request, context_of_tests):
+        """
+        When the language put request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/language/obj/'
 
-    def setUp(self):
-        self.server_data = parent_node_dict["database"][-1]
-        self.server_id = self.server_data["server_id"]
+        self.server_data = parent_node_dict['database'][-1]
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_id = self.server_data['server_id']
         self.db_id = self.server_data['db_id']
-        self.db_name = self.server_data["db_name"]
+        schema_data = context_of_tests['server_information']
+        self.db_name = schema_data["db_name"]
         self.lang_name = "language_%s" % str(uuid.uuid4())[1:8]
         db_con = database_utils.connect_database(self,
                                                  utils.SERVER_GROUP,
@@ -37,28 +48,35 @@ class LanguagesPutTestCase(BaseTestGenerator):
                                                  self.db_id)
         if not db_con["info"] == "Database connected.":
             raise Exception("Could not connect to database.")
+
         self.language_id = language_utils.create_language(self.server,
                                                           self.db_name,
                                                           self.lang_name)
 
-    def runTest(self):
-        """This function will update the language under test database."""
-
         data = \
             {
                 "id": self.language_id,
                 "description": "This is test comment."
             }
         response = self.tester.put("{0}{1}/{2}/{3}/{4}".format(
-            self.url, utils.SERVER_GROUP, self.server_id, self.db_id,
+            url, utils.SERVER_GROUP, self.server_id, self.db_id,
             self.language_id), data=json.dumps(data),
             follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
 
-    def tearDown(self):
-        """This function delete added language and
-        disconnect the test database."""
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'language',
+            'pgadmin.node.language',
+            False,
+            'icon-language',
+            self.lang_name
+        )
 
-        language_utils.delete_language(self.server, self.db_name,
-                                       self.lang_name)
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+    def tearDown(self):
+        language_utils.delete_language(
+            self.server, self.db_name, self.lang_name
+        )
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/__init__.py
index ccd081c4..761cb027 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/__init__.py
@@ -7,7 +7,7 @@
 #
 ##########################################################################
 
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
 
 
 class CollationTestGenerator(BaseTestGenerator):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_add.py
index 3c2a931f..0e2c10fe 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_add.py
@@ -10,29 +10,39 @@
 import json
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 
 
-class CollationAddTestCase(BaseTestGenerator):
-    """ This class will add new collation under schema node. """
-    skip_on_database = ['gpdb']
-    scenarios = [
-        # Fetching default URL for collation node.
-        ('Default Node URL', dict(url='/browser/collation/obj/'))
-    ]
+@pytest.mark.skip_databases(['gpdb'])
+class TestCollationAdd:
+    def test_collation_add(self, request, context_of_tests):
+        """
+        When the collation add request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/collation/obj/'
 
-    def setUp(self):
-        super(CollationAddTestCase, self).setUp()
-        self.database_info = parent_node_dict["database"][-1]
-        self.db_name = self.database_info["db_name"]
-        # Change the db name, so that schema will create in newly created db
+        self.server_data = parent_node_dict['database'][-1]
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        schema_data = context_of_tests['server_information']
+        self.db_name = schema_data["db_name"]
         self.schema_name = "schema_get_%s" % str(uuid.uuid4())[1:8]
+
         connection = utils.get_db_connection(self.db_name,
                                              self.server['username'],
                                              self.server['db_password'],
@@ -42,15 +52,13 @@ class CollationAddTestCase(BaseTestGenerator):
         self.schema_details = schema_utils.create_schema(connection,
                                                          self.schema_name)
 
-    def runTest(self):
-        """ This function will add collation under schema node. """
-        schema_info = parent_node_dict["schema"][-1]
-        server_id = schema_info["server_id"]
-        db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 server_id, db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to add collation.")
+        db_con = database_utils.connect_database(self,
+                                                 utils.SERVER_GROUP,
+                                                 self.server_id,
+                                                 self.db_id)
+        if not db_con["info"] == "Database connected.":
+            raise Exception("Could not connect to database.")
+
         schema_id = self.schema_details[0]
         schema_name = self.schema_details[1]
         schema_response = schema_utils.verify_schemas(self.server,
@@ -59,20 +67,30 @@ class CollationAddTestCase(BaseTestGenerator):
         if not schema_response:
             raise Exception("Could not find the schema to add the collation.")
 
+        collation_name = "collation_add_%s" % str(uuid.uuid4())[1:8]
         data = {
             "copy_collation": "pg_catalog.\"C\"",
-            "name": "collation_add_%s" % str(uuid.uuid4())[1:8],
+            "name": collation_name,
             "owner": self.server["username"],
             "schema": schema_name
         }
-        response = self.tester.post(self.url + str(utils.SERVER_GROUP) + '/' +
-                                    str(server_id) + '/' + str(db_id) + '/' +
-                                    str(schema_id) + '/',
-                                    data=json.dumps(data),
-                                    content_type='html/json')
-        self.assertEquals(response.status_code, 200)
-        # Disconnect the database
-        database_utils.disconnect_database(self, server_id, db_id)
+        response = self.tester.post(
+            url + str(utils.SERVER_GROUP) + '/' +
+            str(self.server_id) + '/' + str(self.db_id) + '/' +
+            str(schema_id) + '/',
+            data=json.dumps(data),
+            content_type='html/json')
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'collation',
+            'pgadmin.node.collation',
+            False,
+            'icon-collation',
+            collation_name
+        )
 
     def tearDown(self):
-        pass
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_delete.py
index add8d56a..4eb62ee5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_delete.py
@@ -9,26 +9,36 @@
 
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as collation_utils
 
 
-class CollationDeleteTestCase(BaseTestGenerator):
-    """ This class will delete added collation under schema node. """
-    skip_on_database = ['gpdb']
-    scenarios = [
-        # Fetching default URL for collation node.
-        ('Fetch collation Node URL', dict(url='/browser/collation/obj/'))
-    ]
+@pytest.mark.skip_databases(['gpdb'])
+class TestCollationDelete:
+    def test_collation_delete(self, request, context_of_tests):
+        """
+        When the collation delete request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/collation/obj/'
+
+        self.server_data = parent_node_dict['database'][-1]
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
 
-    def setUp(self):
-        super(CollationDeleteTestCase, self).setUp()
         self.schema_info = parent_node_dict["schema"][-1]
         self.schema_name = self.schema_info["schema_name"]
         self.db_name = parent_node_dict["database"][-1]["db_name"]
@@ -38,32 +48,36 @@ class CollationDeleteTestCase(BaseTestGenerator):
                                                           coll_name,
                                                           self.db_name)
 
-    def runTest(self):
-        """ This function will delete collation under schema node. """
-        server_id = self.schema_info["server_id"]
-        db_id = self.schema_info["db_id"]
         db_con = database_utils.connect_database(self,
                                                  utils.SERVER_GROUP,
-                                                 server_id,
-                                                 db_id)
-        if not db_con['data']["connected"]:
+                                                 self.server_id,
+                                                 self.db_id)
+        if not db_con["info"] == "Database connected.":
             raise Exception("Could not connect to database.")
 
         schema_response = schema_utils.verify_schemas(self.server,
                                                       self.db_name,
                                                       self.schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema.")
+            raise Exception("Could not find the schema to add the collation.")
+
         collation_id = self.collation[0]
         schema_id = self.schema_info["schema_id"]
-        get_response = self.tester.delete(
-            self.url + str(utils.SERVER_GROUP) + '/' + str(
-                server_id) + '/' +
-            str(db_id) + '/' + str(schema_id) + '/' + str(collation_id),
+        response = self.tester.delete(
+            url + str(utils.SERVER_GROUP) + '/' + str(
+                self.server_id) + '/' +
+            str(self.db_id) + '/' + str(schema_id) + '/' + str(collation_id),
             content_type='html/json')
-        self.assertEquals(get_response.status_code, 200)
-        # Disconnect database to delete it
-        database_utils.disconnect_database(self, server_id, db_id)
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('info') > should.be.equal.to(
+            'Collation dropped')
+        json_response | should.have.key('errormsg') > should.be.empty
+        json_response | should.have.key('data')
+        json_response | should.have.key('result') > should.be.none
+        json_response | should.have.key('success') > should.be.equal.to(1)
 
     def tearDown(self):
-        pass
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_get.py
index 9a5eb207..17672602 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_get.py
@@ -9,26 +9,36 @@
 
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as collation_utils
 
 
-class CollationGetTestCase(BaseTestGenerator):
-    """ This class will fetch new collation under schema node. """
-    skip_on_database = ['gpdb']
-    scenarios = [
-        # Fetching default URL for collation node.
-        ('Fetch collation Node URL', dict(url='/browser/collation/obj/'))
-    ]
+@pytest.mark.skip_databases(['gpdb'])
+class TestCollationGet:
+    def test_collation_get(self, request, context_of_tests):
+        """
+        When the collation get request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/collation/obj/'
+
+        self.server_data = parent_node_dict['database'][-1]
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
 
-    def setUp(self):
-        super(CollationGetTestCase, self).setUp()
         self.schema_info = parent_node_dict["schema"][-1]
         self.schema_name = self.schema_info["schema_name"]
         self.db_name = parent_node_dict["database"][-1]["db_name"]
@@ -38,32 +48,45 @@ class CollationGetTestCase(BaseTestGenerator):
                                                           coll_name,
                                                           self.db_name)
 
-    def runTest(self):
-        """ This function will fetch collation under schema node. """
-        server_id = self.schema_info["server_id"]
-        db_id = self.schema_info["db_id"]
+        connection = utils.get_db_connection(self.db_name,
+                                             self.server['username'],
+                                             self.server['db_password'],
+                                             self.server['host'],
+                                             self.server['port'],
+                                             self.server['sslmode'])
+        self.schema_details = schema_utils.create_schema(connection,
+                                                         self.schema_name)
+
         db_con = database_utils.connect_database(self,
                                                  utils.SERVER_GROUP,
-                                                 server_id,
-                                                 db_id)
-        if not db_con['data']["connected"]:
+                                                 self.server_id,
+                                                 self.db_id)
+        if not db_con["info"] == "Database connected.":
             raise Exception("Could not connect to database.")
 
         schema_response = schema_utils.verify_schemas(self.server,
                                                       self.db_name,
                                                       self.schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema.")
+            raise Exception("Could not find the schema to add the collation.")
+
         collation_id = self.collation[0]
         schema_id = self.schema_info["schema_id"]
-        get_response = self.tester.get(
-            self.url + str(utils.SERVER_GROUP) + '/' + str(
-                server_id) + '/' +
-            str(db_id) + '/' + str(schema_id) + '/' + str(collation_id),
+        response = self.tester.get(
+            url + str(utils.SERVER_GROUP) + '/' + str(
+                self.server_id) + '/' +
+            str(self.db_id) + '/' + str(schema_id) + '/' + str(collation_id),
             content_type='html/json')
-        self.assertEquals(get_response.status_code, 200)
-        # Disconnect database to delete it
-        database_utils.disconnect_database(self, server_id, db_id)
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('oid')
+        json_response | should.have.key('name') > \
+            should.be.equal.to(coll_name)
+        json_response | should.have.key('description') > should.be.none
+        json_response | should.have.key('schema') > should.be\
+            .equal(self.schema_name)
 
     def tearDown(self):
-        pass
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_put.py
index 4c7ae775..f9e021e2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_put.py
@@ -10,52 +10,60 @@
 import json
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as collation_utils
 
 
-class CollationPutTestCase(BaseTestGenerator):
-    """ This class will update added collation under schema node. """
-    skip_on_database = ['gpdb']
-    scenarios = [
-        # Fetching default URL for collation node.
-        ('Fetch collation Node URL', dict(url='/browser/collation/obj/'))
-    ]
+@pytest.mark.skip_databases(['gpdb'])
+class TestCollationPut:
+    def test_collation_put(self, request, context_of_tests):
+        """
+        When the collation put request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/collation/obj/'
+
+        self.server_data = parent_node_dict['database'][-1]
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        schema_data = context_of_tests['server_information']
+        self.db_name = schema_data["db_name"]
 
-    def setUp(self):
-        super(CollationPutTestCase, self).setUp()
         self.schema_info = parent_node_dict["schema"][-1]
         self.schema_name = self.schema_info["schema_name"]
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
         coll_name = "collation_get_%s" % str(uuid.uuid4())[1:8]
         self.collation = collation_utils.create_collation(self.server,
                                                           self.schema_name,
                                                           coll_name,
                                                           self.db_name)
 
-    def runTest(self):
-        """ This function will update collation under schema node. """
-        server_id = self.schema_info["server_id"]
-        db_id = self.schema_info["db_id"]
-        # Verify database
         db_con = database_utils.connect_database(self,
                                                  utils.SERVER_GROUP,
-                                                 server_id,
-                                                 db_id)
-        if not db_con['data']["connected"]:
+                                                 self.server_id,
+                                                 self.db_id)
+        if not db_con["info"] == "Database connected.":
             raise Exception("Could not connect to database.")
-        # Verify schema
+
         schema_response = schema_utils.verify_schemas(self.server,
                                                       self.db_name,
                                                       self.schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema.")
+            raise Exception("Could not find the schema to add the collation.")
+
         # Verify collation
         coll_name = self.collation[1]
         collation_response = collation_utils.verify_collation(self.server,
@@ -70,16 +78,25 @@ class CollationPutTestCase(BaseTestGenerator):
             "description": "This is collation update comment",
             "id": collation_id
         }
-        put_response = self.tester.put(self.url + str(utils.SERVER_GROUP) +
-                                       '/' + str(server_id) + '/' +
-                                       str(db_id) + '/' + str(schema_id) +
-                                       '/' +
-                                       str(collation_id),
-                                       data=json.dumps(data),
-                                       follow_redirects=True)
-        self.assertEquals(put_response.status_code, 200)
-        # Disconnect database to delete it
-        database_utils.disconnect_database(self, server_id, db_id)
+
+        response = self.tester.put(url + str(utils.SERVER_GROUP) +
+                                   '/' + str(self.server_id) + '/' +
+                                   str(self.db_id) + '/' + str(schema_id) +
+                                   '/' +
+                                   str(collation_id),
+                                   data=json.dumps(data),
+                                   follow_redirects=True)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'collation',
+            'pgadmin.node.collation',
+            False,
+            'icon-collation',
+            coll_name
+        )
 
     def tearDown(self):
-        pass
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/__init__.py
index 09655f13..590026ad 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/__init__.py
@@ -6,10 +6,3 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-
-from pgadmin.utils.route import BaseTestGenerator
-
-
-class DomainTestGenerator(BaseTestGenerator):
-    def runTest(self):
-        return
